GuideLab API

Update an inventory item

Updates the metadata of an existing inventory item. Does not change the current quantity - use stock adjustments for that.

PUT
/inventory/items/{id}

Updates the metadata of an existing inventory item. Does not change the current quantity - use stock adjustments for that.

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Path Parameters

id*string

Inventory item ID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X PUT "https://example.com/inventory/items/550e8400-e29b-41d4-a716-446655440000" \  -H "Content-Type: application/json" \  -d '{}'
{  "data": {    "id": "string",    "organizationId": "string",    "name": "string",    "sku": "string",    "unit": "string",    "currentQuantity": "string",    "isActive": true,    "createdAt": "string",    "updatedAt": "string",    "property1": null,    "property2": null  }}
Empty
Empty
Empty
Empty